#include <octave/oct.h>
#include "retrieve-oct.h"

DEFUN_DLD (retrieveVersion, args, nargout,
"Get or Display the retrieve version string.\n"
" \n"
"     mes = retrieveVersion(); \n"
"     retrieveVersion(); \n"
#ifdef INT64_VALUE_DEFINED
" \n"
" with octave_value.int64_value() is supported.\n"
#endif
           )
{
  octave_value_list ret_vals;
  const char* mes = retrieveVersion();
  // retrun process
  if( 1 == nargout) ret_vals(0) = mes;
  if( 0 == nargout) octave_stdout << mes<< "\n";
  return(ret_vals);
}
