#ifndef __OCT_IF_ERROR_H__
#define __OCT_IF_ERROR_H__

#define OCT_IF_CODE_BASE  40000

#define OCT_IF_OCTAVE_API_BASE    OCT_IF_CODE_BASE   // + ocatve api error code
#define OCT_IF_OCTAVE_API_ERROR   OCT_IF_OCTAVE_API_BASE

#define OCT_IF_ERR_END_NO    -1
#define OCT_IF_ERR_BASE  (OCT_IF_OCTAVE_API_BASE+10000) // 50000

// argument check error code

#define OCT_IF_ERR_ARG_OFFSET   100000
#define OCT_IF_ERR_ARG1   ( 1*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG2   ( 2*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG3   ( 3*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG4   ( 4*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG5   ( 5*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG6   ( 6*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG7   ( 7*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG8   ( 8*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG9   ( 9*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG10  (10*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG11  (11*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG12  (12*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG13  (13*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG14  (14*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG15  (15*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG16  (16*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG17  (17*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG18  (18*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG19  (19*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG20  (20*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG21  (21*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG22  (22*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG23  (23*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG24  (24*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG25  (25*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG26  (26*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG27  (27*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG28  (28*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG29  (29*OCT_IF_ERR_ARG_OFFSET)
#define OCT_IF_ERR_ARG_OPT( n ) ( n*OCT_IF_ERR_ARG_OFFSET )

#define OCT_IF_ERR_ARG_VALUE_BASE           (OCT_IF_ERR_BASE + 100)
#define OCT_IF_ERR_ARG_NUM_INPUT_ARG        (OCT_IF_ERR_BASE - 1)
#define OCT_IF_ERR_ARG_NUM_OUTPUT_ARG       (OCT_IF_ERR_BASE - 2)
#define OCT_IF_ERR_ARG_NO_SUPPORTED_OPTION  (OCT_IF_ERR_ARG_VALUE_BASE + 1)
#define OCT_IF_ERR_ARG_DATA_TYPE            (OCT_IF_ERR_ARG_VALUE_BASE + 2)
#define OCT_IF_ERR_ARG_CNDB_TIMEOUT         (OCT_IF_ERR_ARG_VALUE_BASE + 3)
#define OCT_IF_ERR_ARG_CNDB_RETRY           (OCT_IF_ERR_ARG_VALUE_BASE + 4)
#define OCT_IF_ERR_ARG_DATA_ARRAY_NOT_NUMREIC  (OCT_IF_ERR_ARG_VALUE_BASE + 5)
#define OCT_IF_ERR_ARG_FRAMES               (OCT_IF_ERR_ARG_VALUE_BASE + 6)
#define OCT_IF_ERR_ARG_FRAMEX               (OCT_IF_ERR_ARG_VALUE_BASE + 7)
#define OCT_IF_ERR_ARG_FRAMEY               (OCT_IF_ERR_ARG_VALUE_BASE + 8)
#define OCT_IF_ERR_ARG_CHANNEL_NO           (OCT_IF_ERR_ARG_VALUE_BASE + 9)
#define OCT_IF_ERR_ARG_FRAME_NO             (OCT_IF_ERR_ARG_VALUE_BASE + 10)
#define OCT_IF_ERR_ARG_START_FRAME_NO       (OCT_IF_ERR_ARG_VALUE_BASE + 11)
#define OCT_IF_ERR_ARG_ARRAY_TYPE           (OCT_IF_ERR_ARG_VALUE_BASE + 12)
#define OCT_IF_ERR_ARG_OPTION_NON_VALUE     (OCT_IF_ERR_ARG_VALUE_BASE + 13) 
#define OCT_IF_ERR_ARG_INVALID_RANGE        (OCT_IF_ERR_ARG_VALUE_BASE + 14) 
#define OCT_IF_ERR_ARG_INVALID_RANGE_TYPE   (OCT_IF_ERR_ARG_VALUE_BASE + 15) 

#define OCT_IF_ERR_TYPE_BASE                  (OCT_IF_ERR_BASE+200)
#define OCT_IF_ERR_TYPE_MISSMATCH_SCALAR      (OCT_IF_ERR_TYPE_BASE + 1) // Not Scalor
#define OCT_IF_ERR_TYPE_MISSMATCH_ARRAY       (OCT_IF_ERR_TYPE_BASE + 2) // Not array
#define OCT_IF_ERR_TYPE_MISSMATCH_NUMERIC     (OCT_IF_ERR_TYPE_BASE + 3) // Not Numric
#define OCT_IF_ERR_TYPE_MISSMATCH_BOOLEAN     (OCT_IF_ERR_TYPE_BASE + 4) // Not boolean
#define OCT_IF_ERR_TYPE_MISSMATCH_BOOL        (OCT_IF_ERR_TYPE_BASE + 4) // Not boolean
#define OCT_IF_ERR_TYPE_MISSMATCH_STRING      (OCT_IF_ERR_TYPE_BASE + 5) // Not string
#define OCT_IF_ERR_ILLEGAL_INT_PRECISION_CODE (OCT_IF_ERR_TYPE_BASE + 6)

#define OCT_IF_ERR_PARA_BASE                              (OCT_IF_ERR_BASE+300)
#define OCT_IF_ERR_PARAMETER_TYPE_MISSMATCH_MLIST         (OCT_IF_ERR_PARA_BASE + 1) // Not MLIST ver5
#define OCT_IF_ERR_PARAMETER_TYPE_MISSMATCH_STRUCT        (OCT_IF_ERR_PARA_BASE + 2) // Not STRUCR Ver6
#define OCT_IF_ERR_PARAMETER_LISTNUM_4                    (OCT_IF_ERR_PARA_BASE + 3) // Not 4
#define OCT_IF_ERR_PARAMETER_ST_TYPE_MISSMATCH            (OCT_IF_ERR_PARA_BASE + 4) // Not St STRING
#define OCT_IF_ERR_PARAMETER_ST_COLS_4                    (OCT_IF_ERR_PARA_BASE + 5) // Not Cols=4
#define OCT_IF_ERR_PARAMETER_ST_VALUES                    (OCT_IF_ERR_PARA_BASE + 6) // Not MLIST
#define OCT_IF_ERR_PARAMETER_DIMS_TYPE_MISSMATCH          (OCT_IF_ERR_PARA_BASE + 7) // Not dims integer
#define OCT_IF_ERR_PARAMETER_PNAME_STRUCT                 (OCT_IF_ERR_PARA_BASE + 8) //
#define OCT_IF_ERR_PARAMETER_SET_1                        (OCT_IF_ERR_PARA_BASE + 9) //
#define OCT_IF_ERR_PARAMETER_PNAMES_NOT_EQ_PVALUES        (OCT_IF_ERR_PARA_BASE + 10) //
#define OCT_IF_ERR_PARAMETER_PNAME_TYPE_MISSMATCH         (OCT_IF_ERR_PARA_BASE + 11) //
#define OCT_IF_ERR_PARAMETER_SET_2                        (OCT_IF_ERR_PARA_BASE + 12) //
#define OCT_IF_ERR_PARAMETER_PNAME_TYPE_MISSMATCH_IN_LIST (OCT_IF_ERR_PARA_BASE + 13) //
#define OCT_IF_ERR_PARAMETER_PVALUE_TYPE_NO_SUPPORT       (OCT_IF_ERR_PARA_BASE + 14) //
#define OCT_IF_ERR_PARAMETER_PVALUE_TYPE_MISSMATCH        (OCT_IF_ERR_PARA_BASE + 15) //
#define OCT_IF_ERR_PARAMETER_PTYPE_TYPE_MISSMATCH         (OCT_IF_ERR_PARA_BASE + 16) //
#define OCT_IF_ERR_PARAMETER_PNAME_SCI_ERROR              (OCT_IF_ERR_PARA_BASE + 17) //

#define OCT_IF_ERR_OTHER_BASE                             (OCT_IF_ERR_BASE+900)
#define OCT_IF_ERR_FUNC_WCSTOMBS                          (OCT_IF_ERR_OTHER_BASE + 1)
#define OCT_IF_ERR_BUG_CONVERT_VAR                        (OCT_IF_ERR_OTHER_BASE + 2)
#define OCT_IF_ERR_VAR_TYPE_MISSMATCH                     (OCT_IF_ERR_OTHER_BASE + 3)
#define OCT_IF_ERR_VAR_DIMENSION                          (OCT_IF_ERR_OTHER_BASE + 4)

#define OCT_RTR_ERR_BASE                            (OCT_IF_ERR_BASE+1000)
#define OCT_RTR_ERR_DIFF_FRAME_X_Y                  (OCT_RTR_ERR_BASE + 1)
#define OCT_RTR_ERR_DATA_CLASS_SCILAB_NO_SUPPORTED  (OCT_RTR_ERR_BASE + 2)
#define OCT_RTR_ERR_MATRIX_SIZE_IS_OVER             (OCT_RTR_ERR_BASE + 3)
#define OCT_RTR_ERR_MEMORY_ALLOCATE          		    (OCT_RTR_ERR_BASE + 4)
#define OCT_RTR_ERR_SYNTHESIZE_NUMBER          		  (OCT_RTR_ERR_BASE + 5)    // r

#ifdef _OCT_IF_ERR_MESSAGE_
static struct _err_def {
	int code;
	const char*mes;
} err_table[] = {
{ 0, "Success"},
{ OCT_IF_ERR_ARG_NUM_INPUT_ARG        ,"Wrong number of input argument."					}, // -2
{ OCT_IF_ERR_ARG_NUM_OUTPUT_ARG       ,"Wrong number of output argument."					},
{ OCT_IF_ERR_ARG_NO_SUPPORTED_OPTION  ,"Invalid option."					},
{ OCT_IF_ERR_ARG_DATA_TYPE				    ,"Invalid data type."				},
{ OCT_IF_ERR_ARG_CNDB_TIMEOUT			    ,"Invalid value of CNDB TIMEOUT."	},
{ OCT_IF_ERR_ARG_CNDB_RETRY				    ,"Invalid value of CNDB RETRY."		},
{ OCT_IF_ERR_ARG_DATA_ARRAY_NOT_NUMREIC	,"Data Array must be numeric."			},
{ OCT_IF_ERR_ARG_FRAMES					      ,"Invalid frames."					},
{ OCT_IF_ERR_ARG_FRAMEX					      ,"invalid frame_x."					},
{ OCT_IF_ERR_ARG_FRAMEY					      ,"Invalid frame_y."					},
{ OCT_IF_ERR_ARG_CHANNEL_NO				    ,"Invalid channel number."			},
{ OCT_IF_ERR_ARG_FRAME_NO				      ,"Invalid farme number."			},
{ OCT_IF_ERR_ARG_START_FRAME_NO			  ,"Invalid start frame number"		},
{ OCT_IF_ERR_ARG_ARRAY_TYPE			      ,"Invalid array type"		},
{ OCT_IF_ERR_ARG_OPTION_NON_VALUE			,"This option must have a value."		},
{ OCT_IF_ERR_ARG_INVALID_RANGE			  ,"Invalid range of this value."		},		
{ OCT_IF_ERR_ARG_INVALID_RANGE_TYPE		  ,"Invalid range type of this value."		},// 15

{ OCT_IF_ERR_TYPE_MISSMATCH_SCALAR    ,"The type must be scalar."		},
{ OCT_IF_ERR_TYPE_MISSMATCH_ARRAY		  ,"The type must be array."		},
{ OCT_IF_ERR_TYPE_MISSMATCH_NUMERIC		,"The type must be numric."		},
{ OCT_IF_ERR_TYPE_MISSMATCH_BOOLEAN		,"The type must be boolean"		},
{ OCT_IF_ERR_TYPE_MISSMATCH_STRING		,"The type must be string"		},
{ OCT_IF_ERR_ILLEGAL_INT_PRECISION_CODE	,"Illegal int precision code of the value."},	// 6

{ OCT_IF_ERR_PARAMETER_TYPE_MISSMATCH_MLIST		,"Type of PARAMETER must be MLIST."},
{ OCT_IF_ERR_PARAMETER_TYPE_MISSMATCH_STRUCT	,"Invalid struct of PARAMETER."},
{ OCT_IF_ERR_PARAMETER_LISTNUM_4				      ,"List number of PARAMETER must be 4."},
{ OCT_IF_ERR_PARAMETER_ST_TYPE_MISSMATCH		  ,"Type of ST must be string for PARAMETER."},
{ OCT_IF_ERR_PARAMETER_ST_COLS_4				      ,"Columns of ST must be 4 for PARAMETER."},
{ OCT_IF_ERR_PARAMETER_ST_VALUES				      ,"Invalid values of ST for PARAMETER."},
{ OCT_IF_ERR_PARAMETER_DIMS_TYPE_MISSMATCH		,"Type of DIMS must be numeric for PARAMETER."},
{ OCT_IF_ERR_PARAMETER_PNAME_STRUCT				    ,"Illegal struct of PNAME."},
{ OCT_IF_ERR_PARAMETER_SET_1					        ,"Error occured by setParameter() function.(1)"},
{ OCT_IF_ERR_PARAMETER_PNAMES_NOT_EQ_PVALUES	,"Number of PVALUE struct must be equal to number of PNAME struct."},
{ OCT_IF_ERR_PARAMETER_PNAME_TYPE_MISSMATCH		,"Type of PNAME must be list or single string."},
{ OCT_IF_ERR_PARAMETER_SET_2						      ,"Error occured by setParameter() function.(2)"},
{ OCT_IF_ERR_PARAMETER_PNAME_TYPE_MISSMATCH_IN_LIST	,"Type of PNAME must be string IN MLIST."},
{ OCT_IF_ERR_PARAMETER_PVALUE_TYPE_NO_SUPPORT		,"The type is not supoorted with PVALUE."},
{ OCT_IF_ERR_PARAMETER_PVALUE_TYPE_MISSMATCH		,"Invalid the type of PVALUE."},
{ OCT_IF_ERR_PARAMETER_PTYPE_TYPE_MISSMATCH			,"Invalid the type of PTYPE."},
{ OCT_IF_ERR_PARAMETER_PNAME_SCI_ERROR				  ,"Invalid the value of PNAME."},	// 17

{ OCT_IF_ERR_FUNC_WCSTOMBS				,"Error occured in WCSTOMBS function."},
{ OCT_IF_ERR_BUG_CONVERT_VAR			,"BUG occured in get_var_convert() function."},
{ OCT_IF_ERR_VAR_TYPE_MISSMATCH		,"Invalid type of the variable."},
{ OCT_IF_ERR_VAR_DIMENSION				,"Invalid dimension of the variable."},	// 4

{ OCT_RTR_ERR_DIFF_FRAME_X_Y				        ,"The frame x,y is different to other frame."},
{ OCT_RTR_ERR_DATA_CLASS_SCILAB_NO_SUPPORTED,"This class of varaible is not supported by PARAMETER"},
{ OCT_RTR_ERR_MATRIX_SIZE_IS_OVER			      ,"The matrix size is over the limit of system."},
{ OCT_RTR_ERR_MEMORY_ALLOCATE			      	,"Memory allocate is error."},
{ OCT_RTR_ERR_SYNTHESIZE_NUMBER			      ,"Synthesize number is invalid."},	//5

{ OCT_IF_OCTAVE_API_ERROR									,"Error occured in Octave API function."},

{ OCT_IF_ERR_END_NO                        ,"Undefined error code."		      }
};
#endif

#endif  // __OCT_IF_ERROR_H__
